Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039838
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Selfcheckoutmajoralways2018-12-20 08:172019-01-18 14:48
ReporterguillermogilView Statuspublic 
Assigned Torqueralta 
PriorityhighResolutionfixedFixed in VersionRR19Q2
StatusclosedFix in branchFixed in SCM revision783094e79a25
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojorge-garcia
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039838: If you use SCO with Synchronize mode a popup and a scrim appears

DescriptionIf you use SCO with Synchronize mode a processing transaction popup is shown and a scrim appears and keeps forever
Steps To Reproduce- Enable synchronize mode
- Login on https://livebuilds.openbravo.com/retail_modules_pgsql_pi/web/org.openbravo.retail.posterminal/?terminal=SCO-1 [^]
- Complete a ticket

Notice that processing transaction popup should not appear - See attachment
Notice that an scrim appears and remains
Proposed SolutionPopup should not raise on SCO, istead SCO loading should be shown
No scrim should appear, standard SCO loading keep the scrim frozen
TagsNo tags attached.
Attached Filespng file icon Screenshot from 2018-12-20 08-08-36.png [^] (103,263 bytes) 2018-12-20 08:17

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0108925)
hgbot (developer)
2019-01-11 13:15

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: dafc1844ae81e4188d74ea88592e9cc0cb79e89d
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Mon Jan 07 17:48:51 2019 -0500
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/dafc1844ae81e4188d74ea88592e9cc0cb79e89d [^]

Fixed issue 39838: If you use SCO with Synchronize mode a popup and a scrim
appears

- If SCO is enable with Synchronize mode, the processing transaction popup is
not shown, to show the standard SCO loading message.

---
M web/org.openbravo.mobile.core/source/model/ob-terminal-model.js
---
(0108926)
hgbot (developer)
2019-01-11 13:16

Repository: erp/pmods/org.openbravo.retail.selfcheckout
Changeset: 783094e79a25d373c38737d3d26ca82222d4e7be
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Fri Jan 11 07:01:10 2019 -0500
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.selfcheckout/rev/783094e79a25d373c38737d3d26ca82222d4e7be [^]

Fixed issue 39838: If you use SCO with Synchronize mode a popup and a scrim
appears

- If SCO is enable with Synchronize mode, the processing transaction popup is
not shown, to show the standard SCO loading message.

---
M web/org.openbravo.retail.selfcheckout/source/components/header.js
M web/org.openbravo.retail.selfcheckout/source/view/scoView.js
---
(0109021)
jorge-garcia (developer)
2019-01-18 14:48

Code reviewed and tested

- Issue History
Date Modified Username Field Change
2018-12-20 08:17 guillermogil New Issue
2018-12-20 08:17 guillermogil Assigned To => Retail
2018-12-20 08:17 guillermogil File Added: Screenshot from 2018-12-20 08-08-36.png
2018-12-20 08:17 guillermogil Triggers an Emergency Pack => No
2018-12-20 15:03 rqueralta Assigned To Retail => rqueralta
2019-01-11 13:15 hgbot Checkin
2019-01-11 13:15 hgbot Note Added: 0108925
2019-01-11 13:15 hgbot Status new => resolved
2019-01-11 13:15 hgbot Resolution open => fixed
2019-01-11 13:15 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/dafc1844ae81e4188d74ea88592e9cc0cb79e89d [^]
2019-01-11 13:16 hgbot Checkin
2019-01-11 13:16 hgbot Note Added: 0108926
2019-01-11 13:16 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/dafc1844ae81e4188d74ea88592e9cc0cb79e89d [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.selfcheckout/rev/783094e79a25d373c38737d3d26ca82222d4e7be [^]
2019-01-18 13:34 jorge-garcia Review Assigned To => jorge-garcia
2019-01-18 14:48 jorge-garcia Note Added: 0109021
2019-01-18 14:48 jorge-garcia Status resolved => closed
2019-01-18 14:48 jorge-garcia Fixed in Version => RR19Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker